Bug 1466967 - RFE: Migrate Fedora server install class into the Anaconda source repository
RFE: Migrate Fedora server install class into the Anaconda source repository
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1491241
  Show dependency treegraph
 
Reported: 2017-06-30 19:44 EDT by Martin Kolman
Modified: 2017-11-15 08:16 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-28.11-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1491241 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kolman 2017-06-30 19:44:55 EDT
The Feodra server install class is currently hosted separately[0] from the Anaconda source code and is added via an install class during the installation.

As the Anaconda now contains even non Fedora/RHEL install classes (such as for CentOS[1] or Scientific Linux[2]) I think it no longer makes sense to host the Fedora Server install class separately.

Having install class together with the other install classes should make maintenance, debugging and testing easier. This might also help prevent or at least make easier to spot Install Class related issues such as for example bug 1466964.

As for making sure the Fedora Server is used during Fedora server compsoe generation (which has been raised during the original discussion in bug 1466964) there is now an Anaconda pull request[3] under review that adds support for selecting install class via kickstart which seems like an ideal fit for this.


[0] http://pkgs.fedoraproject.org/cgit/rpms/fedora-productimg-server.git/tree/fedora-server.py
[1] https://github.com/rhinstaller/anaconda/blob/master/pyanaconda/installclasses/centos.py
[2] https://github.com/rhinstaller/anaconda/blob/master/pyanaconda/installclasses/scientific.py
[3] https://github.com/rhinstaller/anaconda/pull/1120
Comment 1 Martin Kolman 2017-06-30 19:49:19 EDT
A slight correction - the bug number in description is unfortunately wrong - bug 1463297 is the correct one.
Comment 2 Vendula Poncova 2017-07-03 05:06:36 EDT
The Fedora Workstation install class could be moved as well.
Comment 3 Martin Kolman 2017-09-12 07:12:24 EDT
(In reply to Vendula Poncova from comment #2)
> The Fedora Workstation install class could be moved as well.
Good point!

Seems to be located here:
https://src.fedoraproject.org/rpms/fedora-productimg-workstation/blob/master/f/fedora-workstation.py
Comment 4 Stephen Gallagher 2017-09-12 07:52:25 EDT
Martin, is this something the Anaconda team is going to take care of, or do you need something from me?
Comment 5 Stephen Gallagher 2017-09-12 07:52:26 EDT
Martin, is this something the Anaconda team is going to take care of, or do you need something from me?
Comment 6 Martin Kolman 2017-09-12 08:23:03 EDT
(In reply to Stephen Gallagher from comment #4)
> Martin, is this something the Anaconda team is going to take care of, or do
> you need something from me?

We can handle the merging of the install class to Anaconda codebase ourselves, but coordination with you will certainly be needed for Server to switch to using it.

BTW, this is the final form of the install class selection API I've mentioned in the description:
http://anaconda-installer.readthedocs.io/en/latest/kickstart.html#installclass
Comment 7 Radek Vykydal 2017-09-12 08:47:30 EDT
Stephen, could you point me to kickstarts for composing the Server installer (or logs)? I am not able to find using of fedora-productimg-server among fedora-kickstarts.

I'd even think the current building of server installer composes would keep working after moving the installclass to anaconda tree, without any need for specifying install class in kickstart (which could be a good thing to do nonetheless). I'd think choosing the right class is independent of the fedora-productimg-server package, rather it is set by lorax --version or --product options.
Comment 8 Stephen Gallagher 2017-09-12 08:56:24 EDT
(In reply to Radek Vykydal from comment #7)
> Stephen, could you point me to kickstarts for composing the Server installer
> (or logs)? I am not able to find using of fedora-productimg-server among
> fedora-kickstarts.
> 
> I'd even think the current building of server installer composes would keep
> working after moving the installclass to anaconda tree, without any need for
> specifying install class in kickstart (which could be a good thing to do
> nonetheless). I'd think choosing the right class is independent of the
> fedora-productimg-server package, rather it is set by lorax --version or
> --product options.

https://pagure.io/pungi-fedora/blob/master/f/variants-fedora.xml#_92
Comment 9 Radek Vykydal 2017-09-12 09:29:12 EDT
Thank you, BTW I guess the place where the install class is set (in compose process) is here: https://pagure.io/pungi-fedora/blob/master/f/fedora.conf#_432.
Comment 10 Radek Vykydal 2017-09-13 07:38:04 EDT
https://github.com/rhinstaller/anaconda/pull/1185
When this change is applied in Anaconda we can remove the installclass from fedora-productimg-server. I am going to clone a BZ to track that.
Comment 11 Radek Vykydal 2017-11-15 08:16:52 EST
The installclass will be added to anaconda package in anaconda-28.11. When the package is built it can be removed from fedora-productimg-server. I'll let you know then.

Note You need to log in before you can comment on or make changes to this bug.